##### GENERAL STUFF #####

Summary:	Library to access EXIF files (extended JPEG files)
Name:		libexif-gtk
Version:	0.3.3
Release:	2mdk
License:	LGPL
Group:		Graphics
Url:		http://sourceforge.net/projects/libexif/

##### SOURCE FILES #####

Source: http://belnet.dl.sourceforge.net/sourceforge/libexif/libexif-gtk-%{version}.tar.bz2

##### ADDITIONAL DEFINITIONS #####

BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	libexif-devel libgtk+2.0-devel libglib2.0-devel

##### SUB-PACKAGES #####

%description

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This library does not contain any documentation, but it seems to make
the connection between libexif, the core library for EXIF, and
GTK-based graphical frontends.

%package -n libexif-gtk4
Summary:	Library to access EXIF files (extended JPEG files)
Requires:	libexif8 libgtk+2.0 libglib2.0
Provides:	libexif-gtk
Group:		Graphics

%description  -n libexif-gtk4

Most digital cameras produce EXIF files, which are JPEG files with
extra tags that contain information about the image. The EXIF library
allows you to parse an EXIF file and read the data from those tags.

This library does not contain any documentation, but it seems to make
the connection between libexif, the core library for EXIF, and
GTK-based graphical frontends.

%package -n libexif-gtk4-devel
Summary: Headers and links to compile against the "libexif-gtk4" library
Requires: 	libexif-gtk4 = %{version}
Provides:	libexif-gtk-devel
Group:		Graphics

%description -n libexif-gtk4-devel
This package contains all files which one needs to compile programs using
the "libexif-gtk4" library.


##### PREP #####

%prep
rm -rf $RPM_BUILD_DIR/libexif-gtk-%{version}
%setup -q -n libexif-gtk-%{version}

##### BUILD #####

%build
# "autogen" is needed because we have a CVS snapshot.
#./autogen.sh
%configure
%make

##### INSTALL #####

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

# Install the README files of the source tarball in the doc directory
#cp *.txt $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}

%find_lang %{name}

##### PRE/POST INSTALL SCRIPTS #####

%post -n libexif-gtk4
/sbin/ldconfig

%postun -n libexif-gtk4
/sbin/ldconfig

##### CLEAN UP #####

%clean
rm -rf $RPM_BUILD_ROOT


##### FILE LISTS FOR ALL BINARY PACKAGES #####

##### libexif-gtk
%files -n libexif-gtk4 -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog
%{_libdir}/*.so.*

##### libexif-gtk4-devel
%files  -n libexif-gtk4-devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*

##### CHANGELOG #####

%changelog
* Thu Jan 16 2003 Till Kamppeter <till@mandrakesoft.com> 0.3.3-2mdk
- Requires: libexif8

* Thu Jan 16 2003 Till Kamppeter <till@mandrakesoft.com> 0.3.3-1mdk
- Updated to version 0.3.3

* Fri Aug  2 2002 Till Kamppeter <till@mandrakesoft.com> 0.3.2-1mdk
- Updated to version 0.3.2

* Fri Jul 18 2002 Till Kamppeter <till@mandrakesoft.com> 0.3.0-1mdk
- Initial release

